/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       MotorController.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Empty template to be used for all .h files. This file provides an example for the case in which a
 *                detailed description is not needed.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef MOTOR_CONTROLLER_H
#define MOTOR_CONTROLLER_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Rte_MotorController.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
#define MOTORCONTROLLER_INVALID_STEP        (6U)
#define MOTORCONTROLLER_BACKWARD_START      (5U)
#define MOTORCONTROLLER_FORWARD_START       (0U)
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern Rte_MotorFlagType MotorController_StartFlag;
extern Rte_SpeedType MotorController_Rpm;
extern Rte_DirectionType MotorController_Direction;
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern void MotorController_Main(void);
/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* MOTOR_CONTROLLER_H */
